package com.example.pnexample.activities;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

import com.backendless.Backendless;
import com.backendless.async.callback.AsyncCallback;
import com.backendless.exceptions.BackendlessFault;
import com.backendless.push.DeviceRegistrationResult;
import com.example.pnexample.Defaults;
import com.example.pnexample.R;

import java.util.Collections;

public class MainActivity extends AppCompatActivity {

    public Button messsaging_button;

    @Override
    protected void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);


        Backendless.initApp(getApplicationContext(), Defaults.APP_ID, Defaults.Android_KEY);
        Backendless.setUrl(Defaults.host);


        messsaging_button = (Button) findViewById(R.id.messaging_button);
        messsaging_button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {



                //Backendless.Messaging.registerDevice((AsyncCallback<DeviceRegistrationResult>) null);

                Backendless.Messaging.registerDevice(Collections.singletonList("channel"), new AsyncCallback<DeviceRegistrationResult>() {
                    @Override
                    public void handleResponse(DeviceRegistrationResult response) {
                        Toast.makeText( getApplicationContext(), "Device registered!",
                                Toast.LENGTH_LONG).show();

                    }

                    @Override
                    public void handleFault(BackendlessFault fault) {

                    }
                });


                Intent intent = new Intent( getApplicationContext(), Messaging_Activity.class);
                startActivity(intent);
            }
        });

    }



}
